## ros-noetic-gripper-action-controller 0.21.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(gripper_action_controller)

find_package(catkin
  REQUIRED COMPONENTS
      actionlib
      control_msgs
      control_toolbox
      controller_interface
      hardware_interface
      pluginlib
      realtime_tools
      roscpp
      urdf
)

catkin_package(
INCLUDE_DIRS include
LIBRARIES gripper_action_controller
CATKIN_DEPENDS
  actionlib
  control_msgs
  control_toolbox
  controller_interface
  hardware_interface
  realtime_tools
  roscpp
  urdf
)


###########
## Build ##
###########

# Specify header include paths
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(gripper_action_controller
   src/gripper_action_controller.cpp
)
target_link_libraries(gripper_action_controller ${catkin_LIBRARIES})


#############
## Install ##
#############

# Install headers
install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install targets
install(TARGETS gripper_action_controller
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install plugins
install(FILES ros_control_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-gripper-action-controller (0.21.1-1buster) buster; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-gripper-action-controller (0.21.0-1buster) buster; urgency=high

  * std::bind and placeholders instead of boost
  * Contributors: Lucas Walter

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-gripper-action-controller (0.20.0-1buster) buster; urgency=high

  * Drop old C++ standard
  * Use new boost bind placeholders
  * Contributors: Jochen Sprickerhof

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-gripper-action-controller (0.19.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-gripper-action-controller (0.18.1-1buster) buster; urgency=high

  * Format package.xml and CMakeLists.txt + clean deps of gripper_action_controller pkg
  * Contributors: Mateus Amarante Araújo

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-gripper-action-controller (0.18.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.17.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.16.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.16.0-1buster) buster; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.15.1-1buster) buster; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Contributors: Bence Magyar, Matt Reynolds, Sean Yen

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-gripper-action-controller (0.15.0-1buster) buster; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-gripper-action-controller (0.14.3-1buster) buster; urgency=high

  * Use a copy of the pointer in update() to avoid crash by cancelCB()
  * Contributors: oka

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-gripper-action-controller (0.14.2-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.14.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.14.0-1buster) buster; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.13.2-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.13.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.13.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.3-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.2-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.12.0-1buster) buster; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * urdf::Model typedefs had to be added to a different repo first
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.11.2-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.11.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.11.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.10.0-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-gripper-action-controller (0.9.2-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-gripper-action-controller (0.9.1-1buster) buster; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-gripper-action-controller (0.9.0-1buster) buster; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn

 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-noetic-gripper-action-controller (0.8.1-1buster) buster; urgency=high





=== debian/control ===
Source: ros-noetic-gripper-action-controller
Section: misc
Priority: optional
Maintainer: Sachin Chitta <robot.moveit@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-catkin, ros-noetic-control-msgs, ros-noetic-control-toolbox, ros-noetic-controller-interface, ros-noetic-hardware-interface, ros-noetic-pluginlib, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-urdf
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-gripper-action-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-control-msgs, ros-noetic-control-toolbox, ros-noetic-controller-interface, ros-noetic-hardware-interface, ros-noetic-realtime-tools, ros-noetic-roscpp, ros-noetic-urdf
Description: The gripper_action_controller package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-gripper-action-controller//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-gripper-action-controller 0.21.2

=== debian/changelog ===
ros-noetic-gripper-action-controller (0.21.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 02 Sep 2023 23:00:00 -0000

ros-noetic-gripper-action-controller (0.21.1-1focal) focal; urgency=high

  * Don't hardcode plugin library path
  * Contributors: Jochen Sprickerhof

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-noetic-gripper-action-controller (0.21.0-1focal) focal; urgency=high

  * std::bind and placeholders instead of boost
  * Contributors: Lucas Walter

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Oct 2022 23:00:00 -0000

ros-noetic-gripper-action-controller (0.20.0-1focal) focal; urgency=high

  * Drop old C++ standard
  * Use new boost bind placeholders
  * Contributors: Jochen Sprickerhof

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 05 May 2022 23:00:00 -0000

ros-noetic-gripper-action-controller (0.19.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 12 Jun 2021 23:00:00 -0000

ros-noetic-gripper-action-controller (0.18.1-1focal) focal; urgency=high

  * Format package.xml and CMakeLists.txt + clean deps of gripper_action_controller pkg
  * Contributors: Mateus Amarante Araújo

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 03 Dec 2020 00:00:00 -0000

ros-noetic-gripper-action-controller (0.18.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 10 Oct 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.17.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 11 May 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.16.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 26 Apr 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.16.0-1focal) focal; urgency=high

  * Bump CMake version to prevent CMP0048
  * Replace header guard with #pragma once
  * Contributors: Matt Reynolds

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Apr 2020 23:00:00 -0000

ros-noetic-gripper-action-controller (0.15.1-1focal) focal; urgency=high

  * Use nullptr
  * add missing pluginlib deps.
  * Contributors: Bence Magyar, Matt Reynolds, Sean Yen

 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 09 Mar 2020 00:00:00 -0000

ros-noetic-gripper-action-controller (0.15.0-1focal) focal; urgency=high

  * Default all controller builds to C++14
  * Use range-based for loops wherever possible
  * boost::shared_ptr -> std::shared_ptr
  * fix install destination for libraries (#403 <https://github.com/ros-controls/ros_controllers/issues/403>)
  * Contributors: Bence Magyar, Gennaro Raiola, James Xu

 -- Sachin Chitta <robot.moveit@gmail.com>  Tue, 26 Mar 2019 00:00:00 -0000

ros-noetic-gripper-action-controller (0.14.3-1focal) focal; urgency=high

  * Use a copy of the pointer in update() to avoid crash by cancelCB()
  * Contributors: oka

 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 09 Feb 2019 00:00:00 -0000

ros-noetic-gripper-action-controller (0.14.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 22 Oct 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.14.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 25 Jun 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.14.0-1focal) focal; urgency=high

  * migrate to new pluginlib headers
  * Contributors: Mathias Lüdtke

 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 26 Apr 2018 23:00:00 -0000

ros-noetic-gripper-action-controller (0.13.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.13.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 06 Nov 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.13.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 09 Aug 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.3-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sat, 22 Apr 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Thu, 20 Apr 2017 23:00:00 -0000

ros-noetic-gripper-action-controller (0.12.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 08 Mar 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.12.0-1focal) focal; urgency=high

  * Fix most catkin lint issues
  * Change for format2
  * Add Enrique and Bence to maintainers
  * urdf::Model typedefs had to be added to a different repo first
  * Replace boost::shared_ptr<urdf::XY> with urdf::XYConstSharedPtr when exists
  * Contributors: Bence Magyar

 -- Sachin Chitta <robot.moveit@gmail.com>  Wed, 15 Feb 2017 00:00:00 -0000

ros-noetic-gripper-action-controller (0.11.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 15 Aug 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.11.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 22 May 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.11.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 02 May 2016 23:00:00 -0000

ros-noetic-gripper-action-controller (0.10.0-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-noetic-gripper-action-controller (0.9.2-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Sun, 03 May 2015 23:00:00 -0000

ros-noetic-gripper-action-controller (0.9.1-1focal) focal; urgency=high



 -- Sachin Chitta <robot.moveit@gmail.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-noetic-gripper-action-controller (0.9.0-1focal) focal; urgency=high

  * Buildsystem fixes
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Lukas Bulwahn
